#!/bin/bash

set -e

function main {
    echo "Setup best practice default repositories, see http://httpredir.debian.org/"
    tee /etc/apt/sources.list <<EOF
    deb http://httpredir.debian.org/debian jessie main contrib
    deb http://httpredir.debian.org/debian jessie-updates main contrib
    deb http://httpredir.debian.org/debian jessie-backports main contrib
    deb http://security.debian.org/ jessie/updates main
EOF
    apt update

    echo "Install important system tools."
    apt install -y htop ne iotop curl wget zsh figlet iptraf

    echo "Use zsh!"
    wget -O /root/.zshrc http://git.grml.org/f/grml-etc-core/etc/zsh/zshrc
    chsh -s /bin/zsh

    echo "Nice motd."
    figlet `hostname -f` > /etc/motd

    echo "Install system and security utils."
    apt install -y systemd-cron apticron logcheck ssmtp
}


main
